#ifndef GLOBAL_H
#define GLOBAL_H

#include <QHostAddress>
#include <QHostInfo>
#include <QList>
#include <QNetworkInterface>
#include <QSerialPortInfo>
#include <QSettings>
#include <QStringList>
#include <QUdpSocket>
extern QSettings* g_networkSettingInfo;
extern QUdpSocket* g_CommandudpSocket;

extern void getLocalIP(QStringList& localIPList);

extern void getLocalSerialPorts(QStringList& localCOMList);

extern bool isValidIPAddress(const QString& ip);

extern bool isMulticastAddress(const QString& ip);

struct NetworkIPStruct {
    QString localIP;
    QString remoteIP;
    uint localPort;
    uint remotePort;
};

// enum NotificationType {
//     NOTIFICATION_INFORMATION = 0,
//     NOTIFICATION_SUCCESS = 1,
//     NOTIFICATION_ERROR = 2,
//     NOTIFICATION_WARNING = 3
// };

class Global {
public:
    Global();
};

#endif  // GLOBAL_H
